Last modified: 2013-10-29 07:39:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 49681 - Provide non-Malayalam numerals for Inscript2 layout
Provide non-Malayalam numerals for Inscript2 layout
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
UniversalLanguageSelector (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 56295
  Show dependency treegraph
 
Reported: 2013-06-17 10:29 UTC by vssun
Modified: 2013-10-29 07:39 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Inscript Enhanced layout for Malayalam (172.85 KB, image/png)
2013-06-18 15:02 UTC, Santhosh Thottingal
Details

Description vssun 2013-06-17 10:29:50 UTC
Malayalam Inscript2 layout provide Malayalam numerals (ie. ൧,൨,൩..) from both main number keys as well as from numeric keypad. Please change this behavior such that the main number keys to give standard style numerals (ie. 1,2,3..) as with the Inscript layout provided.
Comment 1 Andre Klapper 2013-06-18 01:04:02 UTC
What if I don't have a numeric keyboard and hence want the main numbers to provide Malayalam numerals?
Comment 2 Santhosh Thottingal 2013-06-18 03:55:36 UTC
This is not something wikimedia can facilitate. Inscript is a standard keyboard layout defined by Government of India. We cannot do arbitrary customization on it.

If there are complaints about it, please contact the standardization authorities. If that is not possible, without using the name 'Inscript' define a keyboard, get community testing and validation and add to jquery.ime project.
Comment 3 vssun 2013-06-18 14:41:50 UTC
The standard inscript2 layout defined by Government of India does not cover the numeric key pad. Then why do you map malayalam numerals on it?

If it is impossible to provide standard numerals from the main keyboard area,  it may please be provided from the numeric key pad.
Comment 4 Santhosh Thottingal 2013-06-18 15:01:47 UTC
(In reply to comment #3)
> The standard inscript2 layout defined by Government of India does not cover
> the
> numeric key pad. Then why do you map malayalam numerals on it?

Please clarify, are you asking to give different outputs depending on whether you use numeric keyboard or number keys below the function keys? Thats too hacky.

What if keyboard does not have numeric keypad?(exactly why keyboard layout standard don't define layout for numeric keypad).
Comment 5 Santhosh Thottingal 2013-06-18 15:02:40 UTC
Created attachment 12573 [details]
Inscript Enhanced layout for Malayalam
Comment 6 vssun 2013-06-18 15:21:25 UTC
My question is, Is it possible to provide standard numerals from numeric key pad, while keeping the malayalam numerals at main key pad?.
Comment 7 Andre Klapper 2013-06-18 19:31:55 UTC
(In reply to comment #6)
> My question is, Is it possible to provide standard numerals from numeric key
> pad, while keeping the malayalam numerals at main key pad?.

This was already answered:

(In reply to comment #4)
> are you asking to give different outputs depending on whether you use 
> numeric keyboard or number keys below the function keys? Thats too hacky.
Comment 8 vssun 2013-06-21 05:12:31 UTC
From my experience in ml.wiki*** projects, in most cases, ml users require standard numerals for typing.

From usability point of view, standard numerals without switching off the IME, is a basic requirement.

Will you provide any user level/site level customization option for ULS IME. (This feature was available with Narayam earlier)
Comment 9 vssun 2013-06-21 06:17:13 UTC
(In reply to comment #2)
> This is not something wikimedia can facilitate. Inscript is a standard
> keyboard
> layout defined by Government of India. We cannot do arbitrary customization
> on
> it.
> 
> If there are complaints about it, please contact the standardization
> authorities. If that is not possible, without using the name 'Inscript'
> define
> a keyboard, get community testing and validation and add to jquery.ime
> project.

I think, defining a new keyboard is the best option. Can you implement a new keyboard layout named "Inscript-Modified" or so with the proposed change?
Comment 10 Siebrand Mazeland 2013-06-21 07:19:04 UTC
WONTFIX means that is was decided that this feature request will not be honored. Reasoning can be read up on above.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links